Subject: Re: [ietf-calsify] [ietf-caldav] Question about recurring tasks.

From: Bernard Desruisseaux <[email-masked]>
Date: Mon, 03 Nov 2008 10:46:20 -0500

Hi Daniel,

In section 4.8.5.4 Recurrence Rule of RFC 2445 it says:

 > The recurrence set is generated by considering the initial "DTSTART"
 > property along with the "RRULE", "RDATE", "EXDATE" and "EXRULE"
 > properties contained within the iCalendar object.

As such, the "DTSTART" should always be specified in a calendar 
component that also specify the "RRULE" property.

That being said, this should probably be stated more clearly in rfc2445bis.

To be very clear, in iCalendar recurrence instances of a recurring 
"VTODO" are not computed based on the "DUE" property of the master 
component.

So to answer your question, a strict implementation should handle a 
recurring task with no "DTSTART" as an invalid "VTODO" component, and a 
relax implementation could probably fix the invalid "VTODO" component by 
adding the missing "DTSTART" property with the same value as "DUE".

Cheers,
Bernard

Daniel Gomez Brito wrote:
> Hello:
> 
>  
> 
> What’s the proper way to treat a recurring task with no dtstart property?
> 
> It doesn’t make sense to me but it seems there’s a bunch of portable 
> devices that let you build something like this:
> 
>  
> 
> BEGIN:VCALENDAR
> 
> VERSION:2.0
> 
> PRODID:-//Test//Ver 1.0.0 //ES
> 
> BEGIN:VTODO
> 
> SUMMARY:cxcx
> 
> DESCRIPTION:xcx
> 
> CATEGORIES:
> 
> CLASS:PUBLIC
> 
> DUE;VALUE=DATE:20081030
> 
> PRIORITY:5
> 
> ORGANIZER:
> 
> PERCENT-COMPLETE:0
> 
> STATUS:NEEDS-ACTION
> 
> RRULE:FREQ=WEEKLY;INTERVAL=1;BYDAY=TH
> 
> X-FUNAMBOL-FOLDER:DEFAULT_FOLDER
> 
> X-FUNAMBOL-ALLDAY:1
> 
> UID:20081028T082036Z-2
> 
> DTSTAMP:20081028T082035Z
> 
> END:VTODO
> 
> END:VCALENDAR
> 
>  
> 
> Regards.
> 
>  
> 
> ------------------------------------------------------------------------
> Este mensaje, y en su caso, cualquier fichero anexo al mismo, puede 
> contener información clasificada por su emisor como confidencial en el 
> marco de su Sistema de Gestión de Seguridad de la Información siendo 
> para uso exclusivo del destinatario, quedando prohibida su divulgación 
> copia o distribución a terceros sin la autorización expresa del 
> remitente. Si Vd. ha recibido este mensaje erróneamente, se ruega lo 
> notifique al remitente y proceda a su borrado. Gracias por su colaboración.
> ------------------------------------------------------------------------
> This message including any attachments may contain confidential 
> information, according to our Information Security Management System, 
> and intended solely for a specific individual to whom they are 
> addressed. Any unauthorised copy, disclosure or distribution of this 
> message is strictly forbidden. If you have received this transmission in 
> error, please notify the sender immediately and delete it.
> 
> ------------------------------------------------------------------------
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> ietf-caldav mailing list -- [email-masked]
> See http://ietf.webdav.org/caldav/ for more CalDAV resources
> http://lists.osafoundation.org/mailman/listinfo/ietf-caldav

_______________________________________________
ietf-calsify mailing list
[email-masked]
http://lists.osafoundation.org/mailman/listinfo/ietf-calsify

---

From: Bernard Desruisseaux <[email-masked]>
Date: Mon, 03 Nov 2008 11:03:29 -0500

BTW, I just found the following info in the Calsify Working Group 
Minutes for July 12, 2006:

http://www.ietf.org/proceedings/06jul/minutes/calsify.txt

 > 7 Is DTSTART required in VTODO and VJOURNAL components when the RRULE
 > or EXRULE properties are defined in those components?
 >
 > Cyrus floated another idea that in the case of VTODO, perhaps the
 > recurrence could use the DUE property. Bernard suggested that perhaps
 > in the absence of DTSTART, it could default to DUE.
 >
 > Lisa pointed out that this needs more discussion beyond the room,
 > because different apps behave differently.
 >
 > In the end, some agreement that it's enough to clarify that for
 > recurring VTODOs, VJOURNALs, etc., they MUST specify DTSTART even
 > if it's otherwise optional.
 >
 > AI: Go forward with above clarification

The clarification (issue 24) was made in the section that covers 
"DTSTART", see:

http://tools.ietf.org/wg/calsify/draft-ietf-calsify-rfc2445bis/draft-ietf-calsify-rfc2445bis-09.changes.html#rfc.issue.#issue29+dtstart_in_recur_vtodo_and_vjournal

I believe similar text should appear in the "RRULE" section as well...

Cheers,
Bernard

Bernard Desruisseaux wrote:
>> message is strictly forbidden. If you have received this transmission 
>> in error, please notify the sender immediately and delete it.
>>